export default {
  'general': {
    'save': 'Save',
    'done': 'Done',
    'edit': 'Edit',
    'remove': 'Remove',
    'yes': 'Yes',
    'no': 'No',
    'on': 'On',
    'go': 'Go',
    'off': 'Off',
    'cancel': 'Cancel',
    'undo': 'Undo',
    'results': 'Results',
    'home': 'Home',
    'add': 'Add',
    'addNew': 'Add New',
    'createNew': 'Create New',
    'all': 'All',
    'for': 'For',
    'anything': 'Anything',
    'none': 'None',
    'close': 'Close',
    'published': 'Published',
    'notPublished': 'Not Published',
    'scheduled': 'Scheduled',
    'competencies': 'Competencies',
    'competency': 'Competency',
    'domain': 'Domain',
    'courses': 'Courses',
    'course': 'Course',
    'programs': 'Programs',
    'program': 'Program',
    'objectives': 'Objectives',
    'objective': 'Objective',
    'directors': 'Directors',
    'status': 'Status',
    'title': 'Title',
    'actions': 'Actions',
    'term': 'Term',
    'terms': 'Terms',
    'email': 'Email',
    'cohort': 'Cohort',
    'cohorts': 'Cohorts',
    'meshTerms': 'MeSH Terms',
    'meshTerm': 'MeSH Term',
    'mesh': 'MeSH',
    'members': 'Members',
    'people': 'People',
    'users': 'Users',
    'sessions': 'Sessions',
    'session': 'Session',
    'sessionTypes': 'Session Types',
    'sessionType': 'Session Type',
    'programYears': 'Program Years',
    'programYear': 'Program Year',
    'learners': 'Learners',
    'learnerGroups': 'Learner Groups',
    'school': 'School',
    'year': 'Year',
    'overview': 'Overview',
    'start': 'Start',
    'end': 'End',
    'starts': 'Starts',
    'ends': 'Ends',
    'time': 'Time',
    'startTime': 'Start Time',
    'endTime': 'End Time',
    'startDate': 'Start Date',
    'endDate': 'End Date',
    'date': 'Date',
    'level': 'Level',
    'description': 'Description',
    'parentObjectives': 'Parent Objectives',
    'learningMaterials': 'Learning Materials',
    'learningMaterial': 'Learning Material',
    'findDirector': 'Find Director',
    'moreInputRequiredPrompt': 'keep typing...',
    'noSearchResultsPrompt': 'no results',
    'currentlySearchingPrompt': 'searching...',
    'resultsCount': {
      'one': '1 result',
      'other': '{{count}} results'
    },
    'printSummary': 'Print Summary',
    'type': 'Type',
    'groups': 'Groups',
    'associatedGroups': 'Associated Groups',
    'offerings': 'Offerings',
    'filterPlaceholder': 'Start typing to filter list',
    'required': 'Required',
    'optional': "Optional",
    'loading': 'Loading Ilios',
    'backToTitle': 'Back to {{title}}',
    'clickToEdit': 'Click to edit',
    'academicYear': 'Academic Year',
    'groupName': 'Group Name',
    'dateTime': 'Date/Time',
    'location': 'Location',
    'instructors': 'Instructors',
    'instructor': 'Instructor',
    'instructorGroups': 'Instructor Groups',
    'instructorGroup': 'Instructor Group',
    'other': 'Other',
    'singleDay': 'Single Day',
    'multiDay': 'Multi Day',
    'classOf': 'Class of {{year}}',
    'findInstructorOrGroup': 'Find Instructor or Group',
    'selected': 'Selected',
    'available': 'Available',
    'savedSuccessfully': 'Saved Successfully',
    'notFoundMessage': "Rats! I couldn't find that. Please check your page address, and try again.",
    'myCourses': 'My Courses',
    'waitSaving': 'saving... one moment...',
    'select': 'Select',
    'invalidDatetimes': 'Invalid dates/times',
    'globalSearchPlaceholder': 'Find Users...',
    'transitionErrorMessage': 'Sorry, we can’t get you where you asked to go: something seems to be broken...',
    'errorDisplayMessage': 'Sorry! Something went wrong with your request. Please try refreshing or check back later.',
    'backToDashboard': 'Back to Dashboard',
    'showMore': 'Show more',
    'primarySchool': 'Primary School',
    'unassigned': 'Unassigned',
    'student': 'Student',
    'nonStudent': 'Non-Student',
    'phone': 'Phone',
    'primaryCohort': 'Primary Cohort',
    'secondaryCohorts': 'Secondary Cohorts',
    'noLearnerGroups': 'No learner groups',
    'noResultsFound': 'No results found. Please try again.',
    'campusId': 'Campus ID',
    'prev': 'Prev',
    'next': 'Next',
    'disabled': 'disabled',
    'pagedResultsCount': 'Showing {{start}} - {{end}} of {{total}}',
    'perPage': 'Per Page',
    'summary': 'Summary',
    'manage': 'Manage',
    'tooManyResults': 'Search returned more than {{count}} results.  To see better results try your search again with more terms.',
    'vocabularies': 'Vocabularies',
    'vocabulary': 'Vocabulary',
    'schools': 'Schools',
    'universalLocator': 'Universal Locator',
    'removeAll': 'Remove All',
    'copiedSuccessfully': 'Copied Successfully',
    'unsupportedBrowserFailure': 'Your browser is not officially supported by Ilios and cannot complete this action. Please try again using an up-to-date browser.',
    'viewAll': 'View All',
    'advancedOptions': 'Advanced Options',
    'include': 'Include',
  },
  'programs': {
    'programTitle': 'Program Title',
    'titleFilterPlaceholder': 'Filter by Program Title',
    'programTitlePlaceholder': 'Enter a title for this program',
    'new': 'New Program',
    'confirmRemove': 'Are you sure you want to delete this program, with {{programYearCount}} program years and {{courseCount}} courses? This action will remove all courses and activities related to this program, and cannot be undone.',
    'backToPrograms': 'Back to Programs',
    'backToProgramYears': 'Back to Program Years',
    'backToProgramYear': 'Back to Program Year',
    'programTitleShort': 'Program Title (short)',
    'durationInYears': 'Duration (in Years)',
    'noProgramYears': 'There are no program years in this program',
    'matriculationYear': 'Matriculation Year',
    'competenciesManageTitle': 'Manage Competencies',
    'missingCompetenciesMessage': 'Please add at least one competency to this program year.',
    'currentCompetency': 'Current Competency',
    'objectiveCompetencyManagerTitle': 'Select Objective Competency',
    'stewardingSchoolsAndDepartments': 'Stewarding Schools and Departments',
    'stewardsManageTitle': 'Manage Stewards',
    'noUnselectedCompetencies': 'There are no unselected competencies',
    'noSelectedCompetencies': 'There are no selected competencies'
  },
  'programYears': {
    'selectAcademicYear': 'Select Academic Year',
    'confirmRemove': 'Are you sure you want to delete this program year? Doing so will also remove its associated student cohort and groups, and associations with {{courseCount}} course(s), and cannot be undone.',
    'new': 'New Program Year'
  },
  'navigation': {
    'dashboard': 'Dashboard',
    'programs': 'Programs',
    'instructorGroups': 'Instructor Groups',
    'learnerGroups': 'Learner Groups',
    'courses': 'Courses and Sessions',
    'logo': 'Ilios Logo',
    'menu': 'Ilios Menu',
    'admin': 'Admin',
  },
  'mesh': {
    'buttonTitle': 'Select MeSH ({{count}})',
    'pickerTitle': 'Choose MeSH Terms',
    'selected': 'Selected MeSH Terms',
    'available': 'Available MeSH Terms',
    'search': 'Search MeSH Terms',
    'noResults': 'Your seach returned no results.',
    'targetItemTitle': 'Select MeSH for: {{title}}',
  },
  'instructorGroups': {
    'instructorGroupTitle': 'Instructor Group Title',
    'titleFilterPlaceholder': 'Filter by Instructor Group Title',
    'instructorGroupTitlePlaceholder': 'Enter a title for this instructor group',
    'new': 'New Instructor Group',
    'confirmRemove': 'Are you sure you want to delete this instructor group, with {{instructorCount}} instructors and {{courseCount}} courses? This action cannot be undone.',
    'members': 'Members',
    'associatedCourses': 'Associated Courses',
    'backToInstructorGroups': 'Back to Instructor Groups List',
  },
  'learnerGroups': {
    'learnerGroupTitle': 'Learner Group Title',
    'titleFilterPlaceholder': 'Filter by Learner Group Title',
    'learnerGroupTitlePlaceholder': 'Enter a title for this learner group',
    'new': 'New Learner Group',
    'confirmRemove': 'Are you sure you want to delete this learner group, with {{learnerCount}} learners and {{subgroupCount}} subgroups? This action cannot be undone.',
    'members': 'Members',
    'subgroups': 'Subgroups',
    'defaultInstructors': 'Default Instructors',
    'defaultLocation': 'Default Location',
    'removeLearnerToCohort': {
      'one': 'Remove learner to {{cohort}}',
      'other': 'Remove {{count}} learners to {{cohort}}'
    },
    'associatedCourses': 'Associated Courses',
    'noSubgroups': 'There are no subgroups in this learner group',
    'learnerAssignments': '{{groupTitle}} Learner Assignments',
    'cohortMembersNotInGroup': 'Cohort Members NOT assigned to {{groupTitle}} ',
    'message': 'No learner groups available; No cohort is attached to this course.',
    'selectProgram': 'Select a Program',
    'singleGroup': 'Single Group',
    'multipleGroups': 'Multiple Groups',
    'numberOfGroups': 'Number of Groups',
    'numberOfGroupsToGenerate': 'Number of groups to generate.',
    'populateGroup': 'Do you want to auto-populate this group?',
    'yesPopulateGroup': 'Yes!  Add entire cohort to my new group.',
    'noPopulateGroup': "No!  Leave it empty, I'll add students myself.",
    'moveToGroup': {
      'one': "Move learner to {{groupTitle}}",
      'other': "Move {{count}} learners to {{groupTitle}}",
    },
    'groupMembers': 'Members of current group',
    'allOtherMembers': 'All other members of {{topLevelGroupTitle}}',
  },
  'schools': {
    'new': 'New School',
    'administratorEmail': 'Administrator Email',
    'backToSchools': 'Back to Schools List',
    'competencyCount': {
      'one': 'There is 1 competency',
      'other': 'There are {{count}} competencies'
    },
    'manageCompetencies': 'Manage Competencies',
    'newDomain': 'New Domain',
    'termCount': {
      'one': 'There is 1 term',
      'other': 'There are {{count}} terms'
    },
    'manageVocabularies': 'Manage Vocabularies',
    'allVocabularies': 'All Vocabularies',
    'confirmVocabularyRemoval': 'Are you sure you want to delete this vocabulary?',
    'newTerm': 'New Term',
    'successfullyRemovedTerm': 'Term Deleted Successfully',
    'successfullyAddedTerm': 'Term Added Successfully',
    'clickToAddTermDescription': 'Click to add descriptive notes',
    'subTerms': 'Sub-terms',
  },
  'courses': {
    'currentSchool': 'Current School',
    'courseTitle': 'Course',
    'selectSchool': 'Select School',
    'selectYear': 'Select Educational Year',
    'new': 'New Course',
    'noCourses': 'There are no courses in this school',
    'noSessions': 'There are no sessions in this course',
    'noCohorts': 'There are no cohorts in this course',
    'educationalYear': 'Educational Year',
    'externalId': 'Course ID',
    'startDate': 'Start Date',
    'endDate': 'End Date',
    'level': 'Level',
    'allCourses': 'All Courses',
    'newSession': 'New Session',
    'backToCourses': 'Back to Courses List',
    'details': 'Course Details',
    'cohorts': 'Program Cohorts',
    'availableCohorts': 'Available Cohorts',
    'noAvailableCohorts': 'No available cohorts',
    'titleFilterPlaceholder': 'Filter by course title',
    'courseTitlePlaceholder': 'Enter a title for this course',
    'findDirector': 'Find Director',
    'expandDetail': 'Show Details',
    'collapseDetail': 'Hide Details',
    'firstOffering': 'First Offering',
    'filterPlaceholder': '',
    'title': 'Course Title',
    'objectiveParentTitle': 'Select Parent Objectives',
    'objectiveParentTitleSingular': 'Select Parent Objective',
    'objectiveDescriptorTitle': 'Select MeSH Descriptors for Objective',
    'objectiveCount': {
      'one': 'There is 1 objective',
      'other': 'There are {{count}} objectives'
    },
    'parentCount': {
      'one': '1 has a parent',
      'other': '{{count}} have parents'
    },
    'meshCount': {
      'one': '1 has MeSH',
      'other': '{{count}} have MeSH'
    },
    'lmDescriptorTitle': 'Select MeSH Descriptors for Learning Materials',
    'newObjectiveSaved': 'New Objective Saved',
    'newObjective': 'New Objective',
    'chooseCohortTitle': 'Select Parent For',
    'missingCohortMessage': 'Please add at least one cohort to this course.',
    'confirmRemove': 'Are you sure you want to delete this course, with {{publishedOfferingCount}} published offerings? This action will remove all sessions and offerings for this course, and cannot be undone.',
    'meshSearchPlaceholder': 'Search MeSH',
    'meshManageTitle': 'Manage MeSH',
    'clerkshipType': 'Clerkship Type',
    'notAClerkship': 'Not a Clerkship',
    'cohortsManageTitle': 'Manage Cohorts',
    'learningMaterialManageTitle': 'Manage Learning Material',
    'learnerGroups': 'Learner Groups',
    'learnerGroupsManageTitle': 'Manage Learner Groups',
    'availableLearnerGroups': 'Available Learner Groups',
    'selectedLearnerGroups': 'Selected Learner Groups',
    'noAvailableLearnerGroups': 'There are no unselected learner groups in this cohort',
    'noSelectedLearnerGroups': 'There are no selected learner groups',
    'instructors': 'Instructors',
    'instructorsManageTitle': 'Manage Instructors',
    'confirmObjectiveRemoval': 'Are you sure you want to delete this objective?',
    'confirmSessionRemoval': 'Are you sure you want to delete this session?',
    'noPrintDraft': 'Courses which are in draft status cannot be printed',
    'rollover': 'Rollover Course',
    'rolloverSuccess': 'Rollover Completed Successfully',
    'rolloverYearUnavailable': 'Course Already Exists',
    'rolloverSummary': 'You are about to roll over this course into the selected academic year, along with all selected options. To continue, click “done”. To return to your current course, click “cancel”',
  },
  'sessions': {
    'specialAttireRequired': 'Special Attire Required',
    'specialEquipmentRequired': 'Special Equipment Required',
    'supplementalCurriculum': 'Supplemental Curriculum',
    'type': 'Session Type',
    'backToSessionList': 'Back to Session List',
    'backToDetails': 'Back to Session Details',
    'objectiveTitle': 'Session Objective',
    'missingCourseObjectivesMessage': 'Please add at least one objective to the course.',
    'objectiveParentsTitle': 'Selecte Parent Objectives',
    'titleFilterPlaceholder': 'Filter by title, type, or status',
    'sessionTitlePlaceholder': 'Enter a title for this session',
    'new': 'New Session',
    'loadingSessionTypes': 'Loading Session Types...',
    'title': 'Session Title',
    'noOfferings': 'This session has no offerings',
    'noOfferingLearnerGroups': 'No Groups',
    'openSmallGroupGenerator': 'Open Offering Small Group Generator',
    'multiday': 'Multiday',
    'independentLearning': 'Independent Learning',
    'hours': 'Hours',
    'dueBy': 'Due By',
    'confirmObjectiveRemoval': 'Are you sure you want to delete this objective?',
  },
  'offerings': {
    'calendarOn': 'Calendar On',
    'calendarOff': 'Calendar Off',
    'confirmRemove': 'Are you sure you want to delete this offering with {{learnerGroupCount}} learner groups? This action cannot be undone.',
    'offering': 'Offering',
    'smallGroups': 'Small Groups',
    'smallGroupMessage': "Please select at least one learner group to attach to your small group offering. If you wish to schedule this offering without groups, please select the 'offering' button above.",
    'makeRecurring': 'Make Recurring',
    'numberOfWeeks': 'Number of weeks',
    'sunday': 'Sunday',
    'monday': 'Monday',
    'tuesday': 'Tuesday',
    'wednesday': 'Wednesday',
    'thursday': 'Thursday',
    'friday': 'Friday',
    'saturday': 'Saturday',
  },
  'learningMaterials': {
    'displayName': 'Display Name',
    'owner': 'Owner',
    'contentAuthor': 'Content Author',
    'notes': 'Notes',
    'instructionalNotes': 'Instructional Notes',
    'showNotesToStudents': 'Show Notes to Students',
    'file': 'File',
    'link': 'Web Link',
    'url': 'URL',
    'citation': 'Citation',
    'userRole': 'User Role',
    'status': 'Status',
    'copyrightPermission': 'Copyright Permission',
    'copyrightAgreement': "The file I am attempting to upload is my own or I have express permission to reproduce and/or distribute this item and does not contain any protected health information. My use of this file is in compliance with Government and University policies on copyright and information security and my educational program's guidelines for professional conduct. This file also adheres to the Terms and Conditions for this application.",
    'copyrightRationale':'Copyright Rationale',
    'searchPlaceholder': 'Find Learning Material',
    'confirmRemoval': 'Are you sure you want to remove this learning material?',
    'uploadDate': 'Upload date',
  },
  'groupMembers': {
    'filterPlaceholder': 'Filter by name or email',
    'noSearchResults': 'Your search did not return any results'
  },
  'relatedCourses': {
    'title': 'Related Courses',
    'filterPlaceholder': 'Filter by name',
    'noCourses': 'There are no related courses',
    'noCoursesMatchFilter': 'No courses match your filter'
  },
  'publish': {
    'markAsScheduled': 'Mark as Scheduled',
    'publishAsIs': 'Publish As-is',
    'reviewMissingItems': 'Review {{count}} Missing Items',
    'missingItems': 'Missing Items',
    'publishSession': 'Publish Session',
    'unPublishSession': 'UnPublish Session',
    'publishCourse': 'Publish Course',
    'unPublishCourse': 'UnPublish Course',
    'publishProgram': 'Publish Program',
    'unPublishProgram': 'UnPublish Program',
    'publishProgramYear': 'Publish Program Year',
    'unPublishProgramYear': 'UnPublish Program Year',
    'incompleteSessions': 'Sessions Incomplete: cannot publish',
    'completeSessions': 'Sessions Complete: ready to publish',
    'reviewSessions': 'Sessions Requiring Review',
    'all': 'Publish {{sessionCount}} sessions',
    'publishAllConfirmation': 'Publish {{publishCount}}, schedule {{scheduleCount}}, and ignore {{ignoreCount}} sessions',
    'message': {
      'publish': 'Published Successfully',
      'schedule': 'Scheduled Successfully',
      'unPublish': 'UnPublished Successfully',
    }
  },
  'calendar': {
    'weekOf': 'Week of {{date}}',
    'day': 'Day',
    'week': 'Week',
    'month': 'Month',
    'today': 'Today',
    'backToCalendar': 'Back to Calendar',
    'loadingEvents': 'Loading Events...',
    'offeredAt': 'On {{date}}',
    'taughtBy': 'Taught By {{instructors}}',
    'sessionIs': 'This session is "{{type}}"',
    'courseObjectives': 'Course Objectives',
    'courseLearningMaterials': 'Course Learning Materials',
    'sessionObjectives': 'Session Objectives',
    'sessionLearningMaterials': 'Session Learning Materials',
    'noAssociatedCompetencies': 'No Associated Competencies',
    'dueThisDay': 'Due this day',
    'icsInstructions': 'To add your Ilios calendar to another application or service, use this URL.  This URL is like a password. Anyone who knows it can view your calendar!'
  },
  'auth': {
    'username': 'Username',
    'password': 'Password',
    'login': 'Login',
    'logout': 'Logout',
    'confirmLogout': 'You have successfully logged out of Ilios. To help protect your account and the security of others, please close all browser windows.',
    'missingUsername': 'Username required',
    'missingPassword': 'Password required',
    'badCredentials': 'Incorrect username or password',
    'noAccountExists': 'Your account {{accountName}} does not match any user records in Ilios. If you need further assistance, please contact your school’s Ilios administrator.',
  },
  'user': {
    'firstName': 'First Name',
    'lastName': 'Last Name',
    'middleName': 'Middle Name',
    'fullName': 'Full Name',
    'otherId': 'Other ID',
    'manageUsers': 'Manage Users',
    'searchUsers': 'Search for users',
    'searchDirectory': 'Search directory for new users',
    'userRoles': 'User Roles',
    'courseDirector': 'Course Director',
    'instructor': 'Instructor',
    'developer': 'Developer',
    'formerStudent': 'Former Student',
    'disableUser': 'Disable User',
    'excludeFromSync': 'Exclude From Sync',
    'new': 'New User',
    'create': 'Create New User',
    'createBulk': 'Upload Multiple Users',
    'saved': 'New User Saved Successfully',
    'username': 'Username',
    'password': 'Password',
    'myProfile': 'My Profile',
    'manageAPITokens': 'Manage API Tokens',
    'tokenInfo': 'API Tokens are used to programmatically access Ilios data.  Your token is like a password - anyone who has it can make changes on your behalf.  Read more in the documentation at <a href="{{apiDocsUrl}}">{{apiDocsUrl}}</a>.',
    'validUntil': 'When should this token stop working?',
    'newToken': 'New Token',
    'invalidateTokens': 'Invalidate All Tokens',
    'invalidateTokensConfirmation': 'This will invalidate all existing API tokens and you will need to generate new ones for any applications you have.  Are you sure you want to do this?',
    'successfullyInvalidatedTokens': 'All existing tokens were successfully invalidated',
    'uploadUsers': 'File with new user data (csv, tsv, txt)',
    'sampleFile': 'Sample File',
    'newUsersCreatedSuccessfully': 'New users created successfully',
    'newUsersCreatedWarning': 'Some users were created, but there were errors.',
    'errorSavingUser': 'These users were unable to be saved.  Please verify that they do not already exist.',
    'errorSavingAuthentication': 'Accounts were created for these users, but they will not be able to login.  This usually happens when the username already exists, but belongs to another user.  Please click on each user in the list and create a username and password for them.',
    'fileTypeError': 'Bad file type: {{fileType}} does not appear to be a properly delimited file.',
  },
  'language': {
    'select': {
      'en': 'English (en)',
      'es': 'Español (es)',
      'fr': 'Français (fr)'
    }
  },
  'dashboard': {
    'showFilters': 'Show Filters',
    'hideFilters': 'Hide Filters',
    'sessionTypes': 'Session Types',
    'courseLevels': 'Course Levels',
    'programAndCohort': 'Program/Cohort',
    'mySchedule': 'My Schedule',
    'myReports': 'My Reports',
    'newReport': 'New Report',
    'reportTitle': 'Report Title',
    'reportDisplayTitleWithObject': 'All {{subject}} for {{object}} in {{school}}',
    'reportDisplayTitleWithoutObject': 'All {{subject}} in {{school}}',
    'associatedWith': 'Associated with',
    'whichIs': 'which is',
    'reportMissingMeshTerm': 'MeSH Term is Required',
    'reportMissingInstructor': 'Instructor is Required',
    'reportMissingObjectForInstructor': 'Association is required when Instructor is the subject',
    'reportMissingObjectForMeshTerm': 'Association is required when MeSH Term is the subject',
    'allReports': 'All Reports',
    'allEvents': 'All Events',
    'noEvents': 'No upcoming events',
    'detail': 'Detail',
    'courseOrType': 'Course/Type',
    'usersCalendar': "{{name}}'s Calendar",
    'myCalendar': 'My Calendar',
    'allSchools': 'All Schools',
    'activeFilters': 'Active Filters',
  },
  'errors': {
    'description': 'This field',
    'inclusion': '{{description}} is not included in the list',
    'exclusion': '{{description}} is a duplicate',
    'invalid': '{{description}} is invalid',
    'confirmation': '{{description}} does not match {{on}}',
    'accepted': '{{description}} must be accepted',
    'empty': '{{description}} can not be empty',
    'blank': '{{description}} can not be blank',
    'present': '{{description}} must be blank',
    'collection': '{{description}} must be a collection',
    'singular': '{{description}} can not be a collection',
    'tooLong': '{{description}} is too long (maximum is {{max}} characters)',
    'tooShort': '{{description}} is too short (minimum is {{min}} characters)',
    'before': '{{description}} must be before {{before}}',
    'after': '{{description}} must be after {{after}}',
    'wrongDateFormat': '{{description}} must be in the format of {{format}}',
    'wrongLength': '{{description}} is the wrong length (should be {{is}} characters)',
    'notANumber': '{{description}} must be a number',
    'notAnInteger': '{{description}} must be an integer',
    'greaterThan': '{{description}} must be greater than {{gt}}',
    'greaterThanOrEqualTo': '{{description}} must be greater than or equal to {{gte}}',
    'equalTo': '{{description}} must be equal to {{is}}',
    'lessThan': '{{description}} must be less than {{lt}}',
    'lessThanOrEqualTo': '{{description}} must be less than or equal to {{lte}}',
    'otherThan': '{{description}} must be other than {{value}}',
    'odd': '{{description}} must be odd',
    'even': '{{description}} must be even',
    'positive': '{{description}} must be positive',
    'date': '{{description}} must be a valid date',
    'email': '{{description}} must be a valid email address',
    'phone': '{{description}} must be a valid phone number',
    'url': '{{description}} must be a valid url'
  },
  'admin': {
    'pendingUpdatesSummaryTitle': 'Updates from the Campus Directory',
    'pendingUpdatesSummary': {
      'one': 'There is one user needing attention',
      'other': 'There are {{count}} users needing attention',
    },
    'pendingUserUpdates': {
      'filterBy': 'Filter by user name',
      'missingFromDirectory': 'Unable to find user in the directory, please update, disable, or exclude their account from syncronization.',
      'emailMismatch': 'The email address in the directory ({{update.value}}) does not match the email in ilios ({{update.user.email}}).',
      'updateIlios': 'Update Ilios',
    },
    'userNotAddableFromDirectory': "This user is missing required information and cannot be added",
    'goToUser': "Show user record in ilios",
    'unassignedStudentsSummaryTitle': 'Students Requiring Cohort Assignment',
    'unassignedStudentsSummary': {
      'one': 'There is one student needing assignment to a cohort',
      'other': 'There are {{count}} students needing assignment to a cohort',
    },
    'unassignedStudentsConfirmation': {
      'one': 'Assign selected user to',
      'other': 'Assign {{count}} selected users to',
    },
    'manageUsersSummaryTitle': 'Ilios Users',
    'searchForIliosUsers': 'Find Ilios Users...',
    'backToAdminDashboard': 'Back to Admin Dashboard',
  },
  'taxonomies' : {
    'assignedTerms': 'Assigned terms',
    'selectVocabulary': 'Select Vocabulary',
    'termsManageTitle': 'Manage Terms',

  },
};
